Api reference
Domains
curl -X GET "https://example.com/api/domains"{ "domains": [ { "id": 0, "hostname": "string", "type": "string", "status": "string", "isPrimary": true, "tlsStatus": "string", "cnameTarget": "string", "verificationToken": "string", "txtRecordName": "string" } ]}Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/api/domains" \ -H "Content-Type: application/json" \ -d '{ "hostname": "string" }'{ "id": 0, "hostname": "string", "type": "string", "status": "string", "isPrimary": true, "tlsStatus": "string", "cnameTarget": "string", "verificationToken": "string", "txtRecordName": "string"}curl -X POST "https://example.com/api/domains/string/verify"{ "verified": true, "status": "string", "method": "string", "detail": "string"}curl -X DELETE "https://example.com/api/domains/string"{ "success": true}